# A RubyGem for creating mailing, shipping, address, barcode and other labels and rendering as PDF's.
#
# Author::    Aaron Wright  (mailto:acwrightdesign@gmail.com)
# Copyright:: Copyright (c) 2012 Infinite Token LLC
# License::  MIT License

require 'tempfile'
require 'base64'
require 'uuid'

require 'labels/layer'

module Labels
  
  # This class represents date layers.
  class Image < Layer
    
    # Whether or not to fit image to layer width and height
    attr_accessor :fit
    
    # Whether or not to stretch image to layer width and height
    attr_accessor :stretch
  end
end