# A RubyGem for creating mailing, shipping, address, barcode and other labels and rendering as PDF's.
#
# Author::    Aaron Wright  (mailto:acwrightdesign@gmail.com)
# Copyright:: Copyright (c) 2012 Infinite Token LLC
# License::  MIT License

require 'labels/layer'

module Labels
  
  # This class represents text layers.
  class Text < Layer
    
    # Font family name
    attr_accessor :font_family
    
    # Font size in pixels
    attr_accessor :font_size
    
    # Font color in hex
    attr_accessor :font_color
    
    # Whether or not text is bolded
    attr_accessor :bold
    
    # Whether or not text is italicized
    attr_accessor :italic
    
    # Justification of text
    attr_accessor :justification
  end
end