# A RubyGem for creating mailing, shipping, address, barcode and other labels and rendering as PDF's.
#
# Author::    Aaron Wright  (mailto:acwrightdesign@gmail.com)
# Copyright:: Copyright (c) 2012 Infinite Token LLC
# License::  MIT License

# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "labels/version"

Gem::Specification.new do |s|
  s.name        = "labels"
  s.version     = Labels::VERSION
  s.authors     = ["Aaron Wright"]
  s.email       = ["acwrightdesign@gmail.com"]
  s.homepage    = ""
  s.summary     = %q{PDF label creation using Ruby}
  s.description = %q{Labels can help you build and render labels as PDF}

  s.rubyforge_project = "labels"

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]
  
  # specify any dependencies here; for example:
  # s.add_development_dependency "rspec"
  # s.add_runtime_dependency "rest-client"
  s.add_development_dependency 'rake'
  s.add_development_dependency 'rspec'
  s.add_runtime_dependency 'prawn'
  s.add_runtime_dependency 'nokogiri'
  s.add_runtime_dependency 'uuid'
  s.add_runtime_dependency 'barcodes', '>= 0.0.10'
end
